rdf {
  user = "admin"
  user = ${?RDFSTORE_USER}
  password = "root"
  password = ${?RDFSTORE_PWD}
  root.uri = "https://dev-graphdb.mnemotix.com"
  root.uri = ${?RDFSTORE_ROOT_URI}
  repository.name = "graph-indexing"
  repository.name = ${?RDFSTORE_REPOSITORY_NAME}
  read.endpoint = ""
  read.endpoint = ${?RDFSTORE_READ_ENDPOINT}
  write.endpoint = "statements"
  write.endpoint = ${?RDFSTORE_WRITE_ENDPOINT}
  client.driver = "rdf4j"
  client.driver = ${?RDFSTORE_CLIENT_DRIVER}
}

index {
  client.driver = "es"
  client.driver = ${?INDEX_CLIENT_DRIVER}
  es {
    response.timeout = 10000
    response.timeout = ${?ES_TIMEOUT}
    master.uri = "http://localhost:9200?cluster.name=mnx"
    master.uri = ${?ES_MASTER_URI}
    user = "elastic"
    user = ${?ES_CLUSTER_USER}
    passwd = "Pa55w0rd"
    passwd = ${?ES_CLUSTER_PWD}
    default.shards = 1,
    default.shards = ${?ES_DEFAULT_SHARDS},
    default.replicas = 0,
    default.replicas = ${?ES_DEFAULT_REPLICAS},
    default.refresh_rate = "1s",
    max_result_window = 1000,
    mapping = {
      total_fields.limit = 1000,
      depth.limit = 20,
      nested_fields.limit = 50
    }
  }
}


# In this file you can override any option defined in the reference files.
# Copy in parts of the reference files and modify as you please.
akka {
  # Loggers to register at boot time (akka.event.Logging$DefaultLogger logs
  # to STDOUT)
  loggers = ["akka.event.slf4j.Slf4jLogger"]

  # Log level used by the configured loggers (see "loggers") as soon
  # as they have been started; before that, see "stdout-loglevel"
  # Options: OFF, ERROR, WARNING, INFO, DEBUG
  loglevel = "ERROR"

  # Log level for the very basic logger activated during ActorSystem startup.
  # This logger prints the log messages to stdout (System.out).
  # Options: OFF, ERROR, WARNING, INFO, DEBUG
  stdout-loglevel = "ERROR"
  # Filter of log events that is used by the LoggingAdapter before
  # publishing log events to the eventStream.
  logging-filter = "akka.event.slf4j.Slf4jLoggingFilter"
}